---
title: "Submit active restrict transaction"
url: "https://developers.zinnia.com/apis/policy-transactions-1-0-2/versions/d0006570-ab9d-464e-814f-d120ba425e84/operations/submitActiveRestrictPolicyApi"
---

> Full API specification: https://developers.zinnia.com/apis/policy-transactions-1-0-2/versions/d0006570-ab9d-464e-814f-d120ba425e84.md

# Submit active restrict transaction

`POST` `/policy/v1/transactions/{planCode}/{policyNumber}/Restrict`

Operation ID: `submitActiveRestrictPolicyApi`

Submits restriction add/delete requests for a policy. Kong rewrites this path to the BPM service `/bpm/v1/policies/{planCode}/{policyNumber}/Restrict`.

## Path parameters

- `planCode` (string, required) - Plan code
- `policyNumber` (string, required) - Policy number

## Request body (required)

Content types: `application/json`

## Responses

- `202` - Request accepted; transaction is being processed.
- `400` - Bad request or rules validation failure
- `500` - Internal server error

## OpenAPI definition

```yaml
openapi: 3.1.0
info:
  title: Zinnia Policy Transactions API.
  version: 1.0.8
servers:
  - url: https://dev.api.zinnia.io
    description: DEV Environment
  - url: https://qa.api.zinnia.io
    description: QA Environment
paths:
  /policy/v1/transactions/{planCode}/{policyNumber}/Restrict:
    parameters:
      - name: planCode
        in: path
        required: true
        schema:
          type: string
        description: Plan code
        example: EVGFIA909
      - name: policyNumber
        in: path
        required: true
        schema:
          type: string
        description: Policy number
        example: EVFIA09222243202
    post:
      tags:
        - Non Financial Transactions
      summary: Submit active restrict transaction
      description: >
        Submits restriction add/delete requests for a policy. Kong rewrites this
        path to the BPM service

        `/bpm/v1/policies/{planCode}/{policyNumber}/Restrict`.
      operationId: submitActiveRestrictPolicyApi
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/ActiveRestrictTransactionRequest"
      responses:
        "202":
          description: Request accepted; transaction is being processed.
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/TransactionAcceptedResponse"
        "400":
          description: Bad request or rules validation failure
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/TransactionResponse"
        "500":
          description: Internal server error
      security:
        - Auth0: []
security:
  - Auth0: []
components:
  schemas:
    ActiveRestrictTransactionRequest:
      type: object
      description: >
        Request body for active restrict (POST
        `/bpm/v1/policies/{planCode}/{policyNumber}/Restrict`).

        Extends the common transaction case request fields with restriction
        operations.
      properties:
        planCode:
          type: string
        correlationId:
          type: string
        partyId:
          type: string
        policyNumber:
          type: string
        businessKey:
          type: string
        transactionName:
          type: string
        deleteRequest:
          type: boolean
        requestType:
          type: string
        submitInfo:
          $ref: "#/components/schemas/ActiveRestrictSubmitInfo"
        receivedDate:
          type: string
        carrierId:
          type: string
        restriction:
          type: array
          items:
            $ref: "#/components/schemas/ActiveRestrictRestrictionItem"
        effectiveDate:
          type: string
        caseId:
          type: string
        documents:
          type: array
          items:
            $ref: "#/components/schemas/ActiveRestrictTransactionDocument"
        policyFeatureData:
          type: object
          additionalProperties:
            type: boolean
    TransactionAcceptedResponse:
      type: object
      properties:
        correlationId:
          type: string
          example: 3a2a3435-2089-4b81-9959-e0d569ccf4f0
          description: Unique identifier which used by every system to trace the request
        caseId:
          type: string
          example: CA0000369469
          description: Zinnia Live Case ID
        caseStatus:
          type: string
          example: IN_PROGRESS
          description: Zinnia Live Case Status
        pdfId:
          type: string
          description: Identifier for the generated or associated PDF document (e.g.
            OnBase document number). Returned on systematic program setup and
            update submit when available.
          example: DOC-10004567
    TransactionResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - success
            - failure
        error:
          type: array
          items:
            $ref: "#/components/schemas/Error"
        quoteResponse:
          type: object
    ActiveRestrictSubmitInfo:
      type: object
      description: Submission metadata for active restrict requests
      properties:
        submittedBy:
          type: string
        source:
          type: string
        submittedByPartyId:
          type: string
    ActiveRestrictRestrictionItem:
      type: object
      description: Single restriction operation in the submit payload
      properties:
        restrictionType:
          type: string
        action:
          type: string
        restrictionSubType:
          type: string
    ActiveRestrictTransactionDocument:
      type: object
      description: Document reference in the submit request (common BPM document fields)
      properties:
        documentId:
          type: string
        documentDate:
          type: string
        documentType:
          type: string
        documentTypeDescription:
          type: string
        displayName:
          type: string
        policyNumber:
          type: string
        planCode:
          type: string
        caseId:
          type: string
    Error:
      type: object
      properties:
        errorCode:
          type: string
          example: BPM.NM.002
          description: This is the NIGO id generated by BPM system
        attribute:
          type: string
        error:
          type: string
          description: This is the error generated by BPM system
        resolution:
          type: string
          description: Resolution generated by BPM system to resolve the error
  securitySchemes:
    Auth0:
      type: openIdConnect
      openIdConnectUrl: https://login.uat.zinnia.com/.well-known/openid-configuration
      x-kong-security-openid-connect:
        config:
          run_on_preflight: true
          scopes_claim:
            - https://uat.api.zinnia.io/permissions
          audience_claim:
            - aud
          audience_required:
            - https://uat.api.zinnia.io
          client_id:
            - client_id
          auth_methods:
            - bearer
        enabled: true
        protocols:
          - grpc
          - grpcs
          - http
          - https
```
